<?php
class Total_Kadobon_Model_Sources_StatusesBetaald extends Varien_Object
{
    static public function toOptionArray()
    {
        $state=Mage::getStoreConfig('payment/kadobon/order_state_betaald');
        $statuses=Mage::getSingleton('sales/order_config')->getStateStatuses($state);
         
        $options=array();
        $options[]=array('value'=>'', 'label'=>Mage::helper('kadobon')->__('-- Please Select --'));
        foreach($statuses as $value=>$label)
        {
            $options[]=array('value'=>$value, 'label'=>$label);
        }
        
        return $options;
    }
}